Subject: Texocote, what is it?

From: [email-masked] (Jim Cobban)
Date: 2 Dec 1994 21:00:29 GMT

A while ago when I was vacationing in Mexico I had a dessert which contained a
number of recognizeable fruits plus one which I had never seen before.  It
was intermediate in size between a grape and a plum, with a smooth yellow
skin.  If it were not for the stalk and the 6 seeds I would have thought it
was a pastry of some sort, because it had the flavour and texture of a donut.
According to the waiter it is called Texocote (Tehokotay), grows on a bush,
and is ripe in November/December.  I cannot find anything like it described
in any standard reference work.  Does anyone know what it is?

-- 
-------------------------------------------------------------------------------
Jim Cobban   |  [email-masked]                        |  Phone: (613) 763-8013
BNR Ltd.     |  bnrgate.bnr.ca!bcars153!jcobban       |  FAX:   (613) 763-5199
-------------------------------------------------------------------------------
|   The opinions expressed are those of the author and do not necessarily     |
|   represent the opinions of Bell-Northern Research or Northern Telecom.     |